package com.huimv.datacollection.feign;

import com.huimv.common.utils.R;
import com.huimv.datacollection.entity.WarningInfoEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * <p>
 * 微服务management提供feign接口
 * </p>
 *
 * @author yinhao
 * @date 2021/7/6 9:24
 */
@FeignClient(value = "huimv-smart-management")
public interface ManagementFeignService {

    @GetMapping("/management/thresholdManagement/selectByType/{type}")
    Map<String,Double> selectByType(@PathVariable("type") Short type);

    @GetMapping("/management/device/info/{deviceId}")
    R info(@PathVariable("deviceId") String deviceId);

    @PostMapping("/management/warningInfo/save")
    R save(@RequestBody WarningInfoEntity warningInfo);
}
